Subject: bug#32702: closed (Re: bug#32702: Can't install Java-related packages)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Sep 2018 01:05:01 +0000

Your bug report

#32702: Can't install Java-related packages

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32702: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32702
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32702: Can't install Java-related packages
From: Ben Sturmfels <[email-masked]>
To: Ricardo Wurmus <[email-masked]>, Ben Sturmfels <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 Sep 2018 11:04:18 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12/09/18 01:42, Ricardo Wurmus wrote:

>> When I try to install a Java-related package, like "icedtea", "clojure",
>> "ant" or "groovy" on my up-to-date GuixSD, it fails with an error like
>> this:
>>
>> $ guix package --install=icedtea
>> guix package: error: build failed: opening file `/gnu/store/jm8abx8z95axza19alr0rkwkkv0x4ljr-langtools.tar.bz2.drv': No such file or directory
> 
> This sounds like you have a corrupted file system / store.
> 
> Try as root “guix gc --verify=repair,contents” to attempt to repair the
> store contents.  Do this after running fsck on the file system.

Brillint, thanks Ricardo. Running `gc` solved my install issue.

Regards,
Ben

Subject: Can't install Java-related packages
From: Ben Sturmfels <[email-masked]>
To: [email-masked]
Date: Tue, 11 Sep 2018 23:08:20 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Folks,

When I try to install a Java-related package, like "icedtea", "clojure",
"ant" or "groovy" on my up-to-date GuixSD, it fails with an error like
this:

$ guix package --install=icedtea
guix package: error: build failed: opening file `/gnu/store/jm8abx8z95axza19alr0rkwkkv0x4ljr-langtools.tar.bz2.drv': No such file or directory

This has been happening for a couple of months, but I hadn't gotten
around to raising it.

Regards,
Ben